package com.ruoyi.generator.mapper.front;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.ruoyi.generator.domain.front.FrontProject;

public interface FrontProjectMapper
{
    public FrontProject selectFrontProjectById(Long projectId);
    public List<FrontProject> selectFrontProjectList(FrontProject frontProject);
    public int insertFrontProject(FrontProject frontProject);
    public int updateFrontProject(FrontProject frontProject);
    public int deleteFrontProjectById(Long projectId);
    public FrontProject selectFrontProjectByUserAndId(@Param("userId") Long userId, @Param("projectId") Long projectId);
    public int deleteFrontProjectByUserAndId(@Param("userId") Long userId, @Param("projectId") Long projectId);
}
